classification
Title: Distutils register command creates non-standard multipart data
Type: behavior Stage: resolved
Components: Distutils Versions: Python 3.7, Python 3.6, Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dstufft, eric.araujo, kb1000, steve.dower
Priority: normal Keywords: patch

Created on 2017-06-09 11:55 by kb1000, last changed 2021-02-03 18:19 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6596 closed kb1000, 2018-04-25 15:12
Messages (4)
msg295518 - (view) Author: kb1000 (kb1000) * Date: 2017-06-09 11:55
It is using b"\n" newline instead of b"\r\n".
msg315745 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2018-04-25 15:36
I think this is a duplicate, could you search existing bugs?

But given issue33071 , is this still relevant?
msg315747 - (view) Author: kb1000 (kb1000) * Date: 2018-04-25 15:46
Yes, I think it's relevant,

"not require register anymore, although other package indexes might"

This means other package indexes are required to be able to parse this HTTP. That's not good and has lead to workarounds (chishop for example= which might change the long-description in the body.
And it seems like the command hasn't changed since I developed the patch (around 10 months ago).
msg386335 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:19
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:19:26steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386335

resolution: out of date
stage: patch review -> resolved
2018-04-25 15:46:31kb1000setmessages: + msg315747
2018-04-25 15:36:15eric.araujosetmessages: + msg315745
2018-04-25 15:12:14kb1000setkeywords: + patch
stage: patch review
pull_requests: + pull_request6294
2017-06-09 11:56:07kb1000settype: behavior
2017-06-09 11:55:25kb1000create